Index: main/trunk/package-kits/linux/distros/arch
===================================================================
--- main/trunk/package-kits/linux/distros/arch	(revision 29559)
+++ main/trunk/package-kits/linux/distros/arch	(revision 29577)
@@ -4,12 +4,11 @@
 SYSTEMSHARE:            /usr/share
 SYSTEMBIN:              /usr/bin
-SYSTEMJAVA:             @SYSTEMLIB@/jvm/default
-GREENSTONE_HOME:        @SYSTEMSHARE@/greenstone
-WEB:                    @GREENSTONE_HOME@/web
+SYSTEMJAVA:             %SYSTEMLIB%/jvm/default
+GREENSTONE_HOME:        %SYSTEMSHARE%/greenstone
+WEB:                    %GREENSTONE_HOME%/web
 TOMCATLIB:              /usr/share/java/tomcat7
 TOMCATCONF:             /etc/tomcat7/Catalina/localhost
 TOMCAT_USER:            tomcat7
-GSTOOLS:                @GREENSTONE_HOME@/tools
-GLI:                    @GREENSTONE_HOME@/gli
+GLI:                    %GREENSTONE_HOME%/gli
 
 PKG_SVN:
@@ -42,2 +41,4 @@
 PKG_RSYNC:
     rsync
+PKG_WGET:
+    wget
Index: main/trunk/package-kits/linux/distros/fedora
===================================================================
--- main/trunk/package-kits/linux/distros/fedora	(revision 29559)
+++ main/trunk/package-kits/linux/distros/fedora	(revision 29577)
@@ -5,11 +5,10 @@
 SYSTEMBIN:              /usr/bin
 SYSTEMJAVA:             /etc/alternatives/java_sdk
-GREENSTONE_HOME:        @SYSTEMSHARE@/greenstone
-WEB:                    @GREENSTONE_HOME@/web
+GREENSTONE_HOME:        %SYSTEMSHARE%/greenstone
+WEB:                    %GREENSTONE_HOME%/web
 TOMCATLIB:              /usr/share/tomcat/lib
 TOMCATCONF:             /etc/tomcat/Catalina/localhost
 TOMCAT_USER:            tomcat
-GSTOOLS:                @GREENSTONE_HOME@/tools
-GLI:                    @GREENSTONE_HOME@/gli
+GLI:                    %GREENSTONE_HOME%/gli
 
 PKG_SVN:
@@ -41,2 +40,4 @@
 PKG_RSYNC:
     rsync
+PKG_WGET:
+    wget
Index: main/trunk/package-kits/linux/distros/ubuntu
===================================================================
--- main/trunk/package-kits/linux/distros/ubuntu	(revision 29559)
+++ main/trunk/package-kits/linux/distros/ubuntu	(revision 29577)
@@ -4,12 +4,11 @@
 SYSTEMSHARE:            /usr/share
 SYSTEMBIN:              /usr/bin
-SYSTEMJAVA:             @SYSTEMLIB@/jvm/default-java
-GREENSTONE_HOME:        @SYSTEMSHARE@/greenstone
-WEB:                    @GREENSTONE_HOME@/web
+SYSTEMJAVA:             %SYSTEMLIB%/jvm/default-java
+GREENSTONE_HOME:        %SYSTEMSHARE%/greenstone
+WEB:                    %GREENSTONE_HOME%/web
 TOMCATLIB:              /usr/share/tomcat7/lib
 TOMCATCONF:             /etc/tomcat7/Catalina/localhost
 TOMCAT_USER:            tomcat7
-GSTOOLS:                @GREENSTONE_HOME@/tools
-GLI:                    @GREENSTONE_HOME@/gli
+GLI:                    %GREENSTONE_HOME%/gli
 
 PKG_SVN:
@@ -40,2 +39,4 @@
 PKG_RSYNC:
     rsync
+PKG_WGET:
+    wget
Index: main/trunk/package-kits/linux/files/global.properties.patch
===================================================================
--- main/trunk/package-kits/linux/files/global.properties.patch	(revision 29577)
+++ main/trunk/package-kits/linux/files/global.properties.patch	(revision 29577)
@@ -0,0 +1,13 @@
+--- resources/web/global.properties.in.orig	2014-12-10 18:41:42.063343626 +1300
++++ resources/web/global.properties.in	2014-12-10 18:41:57.547117847 +1300
+@@ -5,8 +5,8 @@
+ #If you want to specify the gsdl3.home manually then uncomment this line
+ #in resources/java/global.properties.in, not global.properties since
+ #the latter is repeatedly re-generated from global.properties.in
+-#gsdl3.home=@gsdl3home@
+-#gsdl3.writablehome=@gsdl3writablehome@
++gsdl3.home=%WEB%
++gsdl3.writablehome=%WEB%
+ gsdl3.version=@gsdl3version@
+ 
+ disable.collection.building=@disable.collection.building@
Index: main/trunk/package-kits/linux/files/greenstone
===================================================================
--- main/trunk/package-kits/linux/files/greenstone	(revision 29559)
+++ main/trunk/package-kits/linux/files/greenstone	(revision 29577)
@@ -34,5 +34,5 @@
 fi
 
-GSDLHOME=@GSTOOLS@/gs2build
+GSDLHOME=%GREENSTONE_HOME%/gs2build
 export GSDLHOME
 
@@ -75,9 +75,9 @@
 PATH="$GSDLHOME/bin/script:$GSDLHOME/bin/$GSDLOS$GSDLARCH:$PATH"
 export PATH
-LD_LIBRARY_PATH="$GSDLHOME/gs2build/lib/$GSDLOS$GSDLARCH:$GSDLHOME/lib/$GSDLOS$GSDLARCH:$LD_LIBRARY_PATH"
+LD_LIBRARY_PATH="$GSDLHOME/lib/$GSDLOS$GSDLARCH:$LD_LIBRARY_PATH"
 export LD_LIBRARY_PATH
 
 if test -n "$interactive" -a -z "$GSDL3HOME" ; then
-    echo "Where are the collections? [/srv/gsdl/]" >&2
+    echo "Where are the collections? [%WEB%]" >&2
     echo -n " > " >&2
     read GSDL3HOME
@@ -85,5 +85,5 @@
 if test -z "$GSDL3HOME" ; then
     echo "Setting collections location to the default" >&2
-    GSDL3HOME=@WEB@
+    GSDL3HOME=%WEB%
 fi
 export GSDL3HOME
Index: main/trunk/package-kits/linux/files/greenstone3.xml
===================================================================
--- main/trunk/package-kits/linux/files/greenstone3.xml	(revision 29559)
+++ main/trunk/package-kits/linux/files/greenstone3.xml	(revision 29577)
@@ -1,8 +1,14 @@
-<Context path="/greenstone3" docBase="@WEB@" reloadable="true">
+<Context path="/greenstone3"
+         docBase="%WEB%"
+         reloadable="true"
+         privileged="true">
     <Realm className="org.apache.catalina.realm.JDBCRealm" 
-        driverName="org.apache.derby.jdbc.EmbeddedDriver"
-        connectionURL="jdbc:derby:@WEB@/etc/usersDB"
-        userTable="users" userNameCol="username" userCredCol="password"
-        userRoleTable="roles" roleNameCol="role"
+           driverName="org.apache.derby.jdbc.EmbeddedDriver"
+           connectionURL="jdbc:derby:%WEB%/etc/usersDB"
+           userTable="users"
+           userNameCol="username"
+           userCredCol="password"
+           userRoleTable="roles"
+           roleNameCol="role"
     />
 </Context>
Index: main/trunk/package-kits/linux/files/gsdl3site.cfg.patch
===================================================================
--- main/trunk/package-kits/linux/files/gsdl3site.cfg.patch	(revision 29577)
+++ main/trunk/package-kits/linux/files/gsdl3site.cfg.patch	(revision 29577)
@@ -0,0 +1,15 @@
+--- resources/cgi/gsdl3site.cfg.orig	2014-12-10 15:52:39.877886842 +1300
++++ resources/cgi/gsdl3site.cfg	2014-12-10 16:02:24.117855912 +1300
+@@ -5,9 +5,9 @@
+ # specify full paths to the various key Greenstone directories.
+ # GSDL3HOME is optional, set it if your Greenstone web folder
+ # is located somewhere other than the default gsdl3srchome/web
+-gsdl3srchome @gsdl3srchome@
+-gsdlhome @gsdlhome@
+-#gsdl3home /full/path/to/greenstone3/web
++gsdl3srchome %GREENSTONE_HOME%
++gsdlhome %GREENSTONE_HOME%/gs2build
++gsdl3home %WEB%
+ 
+ # cgi gateway URL suffix
+ #gwcgi       /cgi-bin/library
Index: main/trunk/package-kits/linux/files/servlets.patch
===================================================================
--- main/trunk/package-kits/linux/files/servlets.patch	(revision 29577)
+++ main/trunk/package-kits/linux/files/servlets.patch	(revision 29577)
@@ -0,0 +1,31 @@
+--- web/WEB-INF/web.xml.orig	2014-12-10 15:41:02.654700671 +1300
++++ web/WEB-INF/web.xml	2014-12-10 15:46:49.424574648 +1300
+@@ -270,9 +270,25 @@
+ 		<servlet-class>org.greenstone.mat.servlet.MatServlet</servlet-class>
+ 	</servlet>
+ 
+-
+-
+-
++    <!-- Perl CGI scripts -->
++    <servlet>
++        <servlet-name>cgi</servlet-name>
++        <servlet-class>org.apache.catalina.servlets.CGIServlet</servlet-class>
++        <init-param>
++          <param-name>debug</param-name>
++          <param-value>0</param-value>
++        </init-param>
++        <init-param>
++          <param-name>cgiPathPrefix</param-name>
++          <param-value>WEB-INF/cgi</param-value>
++        </init-param>
++         <load-on-startup>5</load-on-startup>
++    </servlet>
++    
++    <servlet-mapping>
++        <servlet-name>cgi</servlet-name>
++        <url-pattern>/cgi-bin/*</url-pattern>
++    </servlet-mapping>
+  
+     <!-- Define mappings that are used by the servlet container to
+          translate a particular request URI (context-relative) to a
Index: main/trunk/package-kits/linux/managers/apt/debian/changelog
===================================================================
--- main/trunk/package-kits/linux/managers/apt/debian/changelog	(revision 29559)
+++ main/trunk/package-kits/linux/managers/apt/debian/changelog	(revision 29577)
@@ -1,3 +1,3 @@
-@NAME@ (@VERSION@) unstable; urgency=medium
+%NAME% (%VERSION%) unstable; urgency=medium
 
   * Initial release. (Closes: #XXXXXX)
Index: main/trunk/package-kits/linux/managers/apt/debian/control
===================================================================
--- main/trunk/package-kits/linux/managers/apt/debian/control	(revision 29559)
+++ main/trunk/package-kits/linux/managers/apt/debian/control	(revision 29577)
@@ -1,3 +1,3 @@
-Source: @NAME@
+Source: %NAME%
 Section: java
 Priority: optional
@@ -6,11 +6,11 @@
 Build-Depends:
     debhelper (>= 9),
-    @MAKEDEPENDS@
+    %MAKEDEPENDS%
 
-Package: @NAME@
+Package: %NAME%
 Architecture: all
-Homepage: @HOMEPAGE@
+Homepage: %HOMEPAGE%
 Depends:
-    @DEPENDS@
-Description: @DESCRIPTION_SHORT@
-  @DESCRIPTION@
+    %DEPENDS%
+Description: %DESCRIPTION_SHORT%
+  %DESCRIPTION%
Index: main/trunk/package-kits/linux/managers/pacman/PKGBUILD
===================================================================
--- main/trunk/package-kits/linux/managers/pacman/PKGBUILD	(revision 29559)
+++ main/trunk/package-kits/linux/managers/pacman/PKGBUILD	(revision 29577)
@@ -1,21 +1,21 @@
 # Maintainer: Greenstone Team <greenstone_team@cs.waikato.ac.nz>
-pkgname=@NAME@
-pkgver=@VERSION@
-pkgrel=@RELEASE@
-pkgdesc=@DESCRIPTION@
-url=@HOMEPAGE@
-arch=(@ARCHITECTURE@)
-license=(@LICENSE_SHORT@)
-depends=(@DEPENDS@)
-optdepends=(@OPTDEPENDS@)
-makedepends=(@MAKEDEPENDS@)
-provides=(@PROVIDES@)
+pkgname=%NAME%
+pkgver=%VERSION%
+pkgrel=%RELEASE%
+pkgdesc=%DESCRIPTION%
+url=%HOMEPAGE%
+arch=(%ARCHITECTURE%)
+license=(%LICENSE_SHORT%)
+depends=(%DEPENDS%)
+optdepends=(%OPTDEPENDS%)
+makedepends=(%MAKEDEPENDS%)
+provides=(%PROVIDES%)
 # conflicts=()
 # replaces=()
 # backup=()
-@INSTALL@
-source=(@SOURCES@
+%INSTALL%
+source=(%SOURCES%
 )
-md5sums=(@SOURCE_SUMS@
+md5sums=(%SOURCE_SUMS%
 )
 
Index: main/trunk/package-kits/linux/managers/rpm/@NAME@.spec
===================================================================
--- main/trunk/package-kits/linux/managers/rpm/@NAME@.spec	(revision 29559)
+++ main/trunk/package-kits/linux/managers/rpm/@NAME@.spec	(revision 29577)
@@ -1,13 +1,13 @@
-Name:       @NAME@
-Version:    @VERSION@
-Release:    @RELEASE@
-Summary:    @DESCRIPTION_SHORT@
-License:    @LICENSE_SHORT@
-URL:        @HOMEPAGE@
-Source0:    @NAME@
+Name:       %NAME%
+Version:    %VERSION%
+Release:    %RELEASE%
+Summary:    %DESCRIPTION_SHORT%
+License:    %LICENSE_SHORT%
+URL:        %HOMEPAGE%
+Source0:    %NAME%
 
 AutoReqProv: no
-BuildRequires:  @MAKEDEPENDS@
-Requires:   @DEPENDS@
+BuildRequires:  %MAKEDEPENDS%
+Requires:   %DEPENDS%
 
 %prep
@@ -15,18 +15,18 @@
 
 %description
-@DESCRIPTION@
+%DESCRIPTION%
 
 %build
-cd @NAME@
+cd %NAME%
 make %{?_smp_mflags}
 
 %install
-cd @NAME@
+cd %NAME%
 %make_install
 
-@INSTALL@
+%INSTALL%
 %files
 %doc
-@FILES@
+%FILES%
 
 %changelog
Index: main/trunk/package-kits/linux/packages/demo
===================================================================
--- main/trunk/package-kits/linux/packages/demo	(revision 29559)
+++ main/trunk/package-kits/linux/packages/demo	(revision 29577)
@@ -1,4 +1,4 @@
 SVN_LOCATION:           http://svn.greenstone.org/main/trunk/greenstone3/web/sites/localsite/collect
-NAME:                   @PKG_GREENSTONE_DEMO@
+NAME:                   %PKG_GREENSTONE_DEMO%
 VERSION:                3.06
 RELEASE:                1
@@ -11,17 +11,17 @@
 
 DEPENDS:
-    @PKG_GREENSTONE@
+    %PKG_GREENSTONE%
 
 OPTDEPENDS:
 
 MAKEDEPENDS:
-    @PKG_GREENSTONE_TOOLS@
-    @PKG_SVN@
-    @PKG_RSYNC@
+    %PKG_GREENSTONE_TOOLS%
+    %PKG_SVN%
+    %PKG_RSYNC%
 
 PROVIDES:
 
 FILES:
-    @WEB@/sites/localsite/collect/*
+    %WEB%/sites/localsite/collect/*
 
 SOURCES:
@@ -35,3 +35,3 @@
 
 POST_INSTALL:
-    chown -R @TOMCAT_USER@:@TOMCAT_USER@ @WEB@/sites/localsite/collect
+    chown -R %TOMCAT_USER%:%TOMCAT_USER% %WEB%/sites/localsite/collect
Index: main/trunk/package-kits/linux/packages/gli
===================================================================
--- main/trunk/package-kits/linux/packages/gli	(revision 29559)
+++ main/trunk/package-kits/linux/packages/gli	(revision 29577)
@@ -1,4 +1,4 @@
 SVN_LOCATION:           http://svn.greenstone.org/main/trunk/gli
-NAME:                   @PKG_GLI@
+NAME:                   %PKG_GLI%
 VERSION:                3.06
 RELEASE:                1
@@ -11,18 +11,18 @@
 
 DEPENDS:
-    @PKG_JAVA_JRE@
-    @PKG_GREENSTONE_TOOLS@
+    %PKG_JAVA_JRE%
+    %PKG_GREENSTONE_TOOLS%
 
 OPTDEPENDS:
 
 MAKEDEPENDS:
-    @PKG_JAVA_JDK@
-    @PKG_SVN@
-    @PKG_RSYNC@
+    %PKG_JAVA_JDK%
+    %PKG_SVN%
+    %PKG_RSYNC%
 
 PROVIDES:
 
 FILES:
-    @GLI@
+    %GLI%
     %{_bindir}/*
 
Index: main/trunk/package-kits/linux/packages/main
===================================================================
--- main/trunk/package-kits/linux/packages/main	(revision 29559)
+++ main/trunk/package-kits/linux/packages/main	(revision 29577)
@@ -1,4 +1,4 @@
 SVN_LOCATION:           http://svn.greenstone.org/main/trunk/greenstone3
-NAME:                   @PKG_GREENSTONE@
+NAME:                   %PKG_GREENSTONE%
 VERSION:                3.06
 RELEASE:                1
@@ -11,27 +11,28 @@
 
 DEPENDS:
-    @PKG_JAVA_JRE@
-    @PKG_TOMCAT@
+    %PKG_JAVA_JRE%
+    %PKG_TOMCAT%
+    %PKG_WGET%
 
 OPTDEPENDS:
-    @PKG_GREENSTONE_DEMO@
-    @PKG_GREENSTONE_TOOLS@
+    %PKG_GREENSTONE_DEMO%
+    %PKG_GREENSTONE_TOOLS%
 
 MAKEDEPENDS:
-    @PKG_JAVA_JDK@
-    @PKG_SVN@
-    @PKG_ANT@
-    @PKG_PATCH@
-    @PKG_AUTOCONF@
-    @PKG_GCC@
-    @PKG_MAKE@
-    @PKG_RSYNC@
+    %PKG_JAVA_JDK%
+    %PKG_SVN%
+    %PKG_ANT%
+    %PKG_PATCH%
+    %PKG_AUTOCONF%
+    %PKG_GCC%
+    %PKG_MAKE%
+    %PKG_RSYNC%
 
 PROVIDES:
 
 FILES:
-    @WEB@
-    @TOMCATCONF@/*
-    @TOMCATLIB@/*
+    %WEB%
+    %TOMCATCONF%/*
+    %TOMCATLIB%/*
     %{_libdir}/*
 
@@ -40,5 +41,7 @@
     greenstone3.xml
     gs2build.patch
-    perl-util.patch
+    servlets.patch
+    gsdl3site.cfg.patch
+    global.properties.patch
 
 MAKEFILE:
@@ -50,5 +53,5 @@
 
 POST_INSTALL:
-    chown -R @TOMCAT_USER@:@TOMCAT_USER@ @WEB@
+    chown -R %TOMCAT_USER%:%TOMCAT_USER% %WEB%
 
 POST_REMOVE:
Index: main/trunk/package-kits/linux/packages/tools
===================================================================
--- main/trunk/package-kits/linux/packages/tools	(revision 29559)
+++ main/trunk/package-kits/linux/packages/tools	(revision 29577)
@@ -1,4 +1,4 @@
 SVN_LOCATION:           http://svn.greenstone.org/main/trunk/greenstone3
-NAME:                   @PKG_GREENSTONE_TOOLS@
+NAME:                   %PKG_GREENSTONE_TOOLS%
 VERSION:                3.06
 RELEASE:                1
@@ -11,25 +11,26 @@
 
 DEPENDS:
-    @PKG_WVWARE@
-    @PKG_PERL@
-    @PKG_IMAGEMAGICK@
+    %PKG_WVWARE%
+    %PKG_PERL%
+    %PKG_IMAGEMAGICK%
+    %PKG_WGET%
 
 OPTDEPENDS:
-    @PKG_GLI@
+    %PKG_GLI%
 
 MAKEDEPENDS:
-    @PKG_JAVA_JDK@
-    @PKG_SVN@
-    @PKG_ANT@
-    @PKG_PATCH@
-    @PKG_AUTOCONF@
-    @PKG_GCC@
-    @PKG_MAKE@
-    @PKG_RSYNC@
+    %PKG_JAVA_JDK%
+    %PKG_SVN%
+    %PKG_ANT%
+    %PKG_PATCH%
+    %PKG_AUTOCONF%
+    %PKG_GCC%
+    %PKG_MAKE%
+    %PKG_RSYNC%
 
 PROVIDES:
 
 FILES:
-    @GSTOOLS@
+    %GREENSTONE_HOME%/*
     %{_bindir}/*
 
Index: main/trunk/package-kits/linux/perllib/Greenstone/Config.pm
===================================================================
--- main/trunk/package-kits/linux/perllib/Greenstone/Config.pm	(revision 29559)
+++ main/trunk/package-kits/linux/perllib/Greenstone/Config.pm	(revision 29577)
@@ -27,5 +27,5 @@
     my $self = shift;
     for (@_) {
-        s/@([\w]+)@/$self->replacement($1)/ge;
+        s/%([\w]+)%/$self->replacement($1)/ge;
     }
     return @_;
Index: main/trunk/package-kits/linux/perllib/Greenstone/Package.pm
===================================================================
--- main/trunk/package-kits/linux/perllib/Greenstone/Package.pm	(revision 29559)
+++ main/trunk/package-kits/linux/perllib/Greenstone/Package.pm	(revision 29577)
@@ -146,5 +146,5 @@
     } else {
         print '    - ', $dst, "\n";
-        if (-B $src or $src =~ /\.patch$/i) {
+        if (-B $src) {
             # copy binary file
             cp $src, $dst or die "Failed to copy '$src': $!";
Index: main/trunk/package-kits/linux/segments/base
===================================================================
--- main/trunk/package-kits/linux/segments/base	(revision 29559)
+++ main/trunk/package-kits/linux/segments/base	(revision 29577)
@@ -1,10 +1,10 @@
-systemlib  := @SYSTEMLIB@
-systembin  := @SYSTEMBIN@
-java       := @SYSTEMJAVA@
-web        := @WEB@
-tomcatlib  := @TOMCATLIB@
-tomcatconf := @TOMCATCONF@
-gstools    := @GSTOOLS@
-gli        := @GLI@
+systemlib  := %SYSTEMLIB%
+systembin  := %SYSTEMBIN%
+java       := %SYSTEMJAVA%
+web        := %WEB%
+tomcatlib  := %TOMCATLIB%
+tomcatconf := %TOMCATCONF%
+gstools    := %GREENSTONE_HOME%
+gli        := %GLI%
 
 DESTDIR    ?= /
Index: main/trunk/package-kits/linux/segments/build-core
===================================================================
--- main/trunk/package-kits/linux/segments/build-core	(revision 29559)
+++ main/trunk/package-kits/linux/segments/build-core	(revision 29577)
@@ -4,5 +4,6 @@
 	export JAVA_HOME=$(java) ; \
 	yes | ant prepare
-	patch -d src/ -p0 -N -i gs2build.patch || :
+	# apply patches
+	for patch in *.patch; do patch -d src/ -p0 -N -i $$patch; done || :
 	cd src/gs2build/build-src ; \
 	autoconf
@@ -16,6 +17,4 @@
 	JAVA_HOME=$(java) ant install
 	mv src/lib/jni/*.jar src/web/WEB-INF/lib/
-	# patch for gs2build tempdir
-	patch -d src/ -p0 -N -i perl-util.patch || :
 	# delete windows/mac stuff
 	find src/ -type d \( -iname "win32" -o -iname "windows" -o -iname "winutil" -o -iname "darwin" \) -exec rm -rf {} \; 2> /dev/null || :
Index: main/trunk/package-kits/linux/segments/rpm
===================================================================
--- main/trunk/package-kits/linux/segments/rpm	(revision 29559)
+++ main/trunk/package-kits/linux/segments/rpm	(revision 29577)
@@ -1,7 +1,7 @@
 pkg: package
 package:
-	rm -rf ~/rpmbuild/SOURCES/@NAME@
-	mkdir -p ~/rpmbuild/SPECS ~/rpmbuild/SOURCES/@NAME@
-	cp @NAME@.spec ~/rpmbuild/SPECS
-	rsync -a --info=STATS --exclude *.spec * ~/rpmbuild/SOURCES/@NAME@/
-	rpmbuild -ba @NAME@.spec
+	rm -rf ~/rpmbuild/SOURCES/%NAME%
+	mkdir -p ~/rpmbuild/SPECS ~/rpmbuild/SOURCES/%NAME%
+	cp %NAME%.spec ~/rpmbuild/SPECS
+	rsync -a --info=STATS --exclude *.spec * ~/rpmbuild/SOURCES/%NAME%/
+	rpmbuild -ba %NAME%.spec
Index: main/trunk/package-kits/linux/segments/src
===================================================================
--- main/trunk/package-kits/linux/segments/src	(revision 29559)
+++ main/trunk/package-kits/linux/segments/src	(revision 29577)
@@ -1,5 +1,5 @@
 svn:
 	@echo "Getting latest source"
-	svn co @SVN_LOCATION@ svn
+	svn co %SVN_LOCATION% svn
 
 src: svn