Index: /main/trunk/package-kits/linux/global.conf
===================================================================
--- /main/trunk/package-kits/linux/global.conf	(revision 29582)
+++ /main/trunk/package-kits/linux/global.conf	(revision 29583)
@@ -1,4 +1,6 @@
 PKG_GREENSTONE:
     greenstone
+PKG_GREENSTONE_NATIVE:
+    greenstone-native
 PKG_GREENSTONE_TOOLS:
     greenstone-tools
Index: /main/trunk/package-kits/linux/packages/demo
===================================================================
--- /main/trunk/package-kits/linux/packages/demo	(revision 29582)
+++ /main/trunk/package-kits/linux/packages/demo	(revision 29583)
@@ -3,10 +3,10 @@
 VERSION:                3.06
 RELEASE:                1
-DESCRIPTION_SHORT:      short description
-DESCRIPTION:            description
+DESCRIPTION_SHORT:      'Demo collections for Greenstone'
+DESCRIPTION:            'Several example collections for Greenstone Digital Library'
 HOMEPAGE:               http://greenstone.org
-ARCHITECTURE:           i686 x86_64
+ARCHITECTURE:           any
 LICENSE_SHORT:          GPL-2
-LICENSE:                license
+LICENSE:                
 
 DEPENDS:
Index: /main/trunk/package-kits/linux/packages/gli
===================================================================
--- /main/trunk/package-kits/linux/packages/gli	(revision 29582)
+++ /main/trunk/package-kits/linux/packages/gli	(revision 29583)
@@ -3,10 +3,10 @@
 VERSION:                3.06
 RELEASE:                1
-DESCRIPTION_SHORT:      short description
-DESCRIPTION:            description
+DESCRIPTION_SHORT:      'Greenstone Librarian Interface'
+DESCRIPTION:            'A GUI interface for using the Greenstone Tools'
 HOMEPAGE:               http://greenstone.org
 ARCHITECTURE:           any
 LICENSE_SHORT:          GPL-2
-LICENSE:                license
+LICENSE:                
 
 DEPENDS:
Index: /main/trunk/package-kits/linux/packages/main
===================================================================
--- /main/trunk/package-kits/linux/packages/main	(revision 29582)
+++ /main/trunk/package-kits/linux/packages/main	(revision 29583)
@@ -3,12 +3,14 @@
 VERSION:                3.06
 RELEASE:                1
-DESCRIPTION_SHORT:      short description
-DESCRIPTION:            description
+DESCRIPTION_SHORT:      'Greenstone Digital Library'
+DESCRIPTION:            'Greenstone is a suite of software for building and distributing digital library collections'
 HOMEPAGE:               http://greenstone.org
-ARCHITECTURE:           i686 x86_64
+ARCHITECTURE:           any
 LICENSE_SHORT:          GPL-2
-LICENSE:                license
+LICENSE:                
 
 DEPENDS:
+    %PKG_GREENSTONE_NATIVE%
+    %PKG_GREENSTONE_TOOLS%
     %PKG_JAVA_JRE%
     %PKG_TOMCAT%
@@ -17,5 +19,4 @@
 OPTDEPENDS:
     %PKG_GREENSTONE_DEMO%
-    %PKG_GREENSTONE_TOOLS%
 
 MAKEDEPENDS:
Index: /main/trunk/package-kits/linux/packages/native
===================================================================
--- /main/trunk/package-kits/linux/packages/native	(revision 29583)
+++ /main/trunk/package-kits/linux/packages/native	(revision 29583)
@@ -0,0 +1,45 @@
+SVN_LOCATION:           http://svn.greenstone.org/main/trunk/greenstone3
+NAME:                   %PKG_GREENSTONE_NATIVE%
+VERSION:                3.06
+RELEASE:                1
+DESCRIPTION_SHORT:      'Native libraries for Greenstone'
+DESCRIPTION:            'Architecture-dependent binary files required by the core Greenstone package'
+HOMEPAGE:               http://greenstone.org
+ARCHITECTURE:           %ARCH%
+LICENSE_SHORT:          GPL-2
+LICENSE:                
+
+DEPENDS:
+
+OPTDEPENDS:
+
+MAKEDEPENDS:
+    %PKG_JAVA_JDK%
+    %PKG_SVN%
+    %PKG_ANT%
+    %PKG_PATCH%
+    %PKG_AUTOCONF%
+    %PKG_GCC%
+    %PKG_MAKE%
+    %PKG_RSYNC%
+
+PROVIDES:
+
+FILES:
+    %TOMCATLIB%/*
+    %{_libdir}/*
+
+SOURCES:
+    build.properties
+    greenstone3.xml
+    gs2build.patch
+    servlets.patch
+    gsdl3site.cfg.patch
+    global.properties.patch
+
+MAKEFILE:
+    base
+    src
+    clean
+    build-core
+    native
Index: /main/trunk/package-kits/linux/packages/tools
===================================================================
--- /main/trunk/package-kits/linux/packages/tools	(revision 29582)
+++ /main/trunk/package-kits/linux/packages/tools	(revision 29583)
@@ -3,10 +3,10 @@
 VERSION:                3.06
 RELEASE:                1
-DESCRIPTION_SHORT:      short description
-DESCRIPTION:            description
+DESCRIPTION_SHORT:      'Tools for building Greenstone collections'
+DESCRIPTION:            
 HOMEPAGE:               http://greenstone.org
-ARCHITECTURE:           i686 x86_64
+ARCHITECTURE:           %ARCH%
 LICENSE_SHORT:          GPL-2
-LICENSE:                license
+LICENSE:                
 
 DEPENDS:
Index: /main/trunk/package-kits/linux/perllib/Greenstone/Package.pm
===================================================================
--- /main/trunk/package-kits/linux/perllib/Greenstone/Package.pm	(revision 29582)
+++ /main/trunk/package-kits/linux/perllib/Greenstone/Package.pm	(revision 29583)
@@ -7,4 +7,5 @@
 use File::Path 'make_path';
 use File::Copy 'cp';
+use POSIX 'uname';
 use Greenstone::Helpers;
 use base 'Exporter';
@@ -57,5 +58,6 @@
     $self->readconf ("global.conf");
     $self->readconf ($distro_conf);
-    
+    $self->{config}->{ARCH} = (uname)[4];
+
     die "Distro '$args{distro}' is invalid (does not specify a manager)"
         unless (exists $self->{config}->{MANAGER});
Index: /main/trunk/package-kits/linux/segments/main
===================================================================
--- /main/trunk/package-kits/linux/segments/main	(revision 29582)
+++ /main/trunk/package-kits/linux/segments/main	(revision 29583)
@@ -1,7 +1,6 @@
 install:
-	install -d $(DESTDIR)/$(web) $(DESTDIR)/$(systemlib) $(DESTDIR)/$(tomcatlib)
+	install -d $(DESTDIR)/$(web)
 	install -dm775 $(DESTDIR)/$(tomcatlib)
-	install -Dm755 src/lib/jni/*.so $(DESTDIR)/$(systemlib)
 	rsync -a --info=STATS --exclude sites/localsite/collect/ --exclude .svn src/web/ $(DESTDIR)/$(web)/
+	mv $(DESTDIR)/$(web)/WEB-INF/lib/derby.jar $(DESTDIR)/$(tomcatlib)
 	install -Dm644 greenstone3.xml $(DESTDIR)/$(tomcatconf)/greenstone3.xml
-	mv $(DESTDIR)/$(web)/WEB-INF/lib/derby.jar $(DESTDIR)/$(tomcatlib)
Index: /main/trunk/package-kits/linux/segments/native
===================================================================
--- /main/trunk/package-kits/linux/segments/native	(revision 29583)
+++ /main/trunk/package-kits/linux/segments/native	(revision 29583)
@@ -0,0 +1,3 @@
+install:
+	install -d $(DESTDIR)/$(systemlib)
+	install -Dm755 src/lib/jni/*.so $(DESTDIR)/$(systemlib)