Index: /main/trunk/package-kits/linux/global.conf
===================================================================
--- /main/trunk/package-kits/linux/global.conf	(revision 29594)
+++ /main/trunk/package-kits/linux/global.conf	(revision 29595)
@@ -1,2 +1,4 @@
+MAINTAINER_NAME:        Greenstone Team
+MAINTAINER_EMAIL:       greenstone_team@cs.waikato.ac.nz
 PKG_GREENSTONE:
     greenstone
Index: in/trunk/package-kits/linux/managers/apt/debian/control
===================================================================
--- /main/trunk/package-kits/linux/managers/apt/debian/control	(revision 29594)
+++ 	(revision )
@@ -1,16 +1,0 @@
-Source: %NAME%
-Section: java
-Priority: optional
-Maintainer: Greenstone Team <greenstone_team@cs.waikato.ac.nz>
-Uploaders: Jeremy Symon <jtsymon@gmail.com>
-Build-Depends:
-    debhelper (>= 9),
-    %MAKEDEPENDS%
-
-Package: %NAME%
-Architecture: all
-Homepage: %HOMEPAGE%
-Depends:
-    %DEPENDS%
-Description: %DESCRIPTION_SHORT%
-  %DESCRIPTION%
Index: in/trunk/package-kits/linux/managers/pacman/PKGBUILD
===================================================================
--- /main/trunk/package-kits/linux/managers/pacman/PKGBUILD	(revision 29594)
+++ 	(revision )
@@ -1,31 +1,0 @@
-# Maintainer: Greenstone Team <greenstone_team@cs.waikato.ac.nz>
-pkgname=%NAME%
-pkgver=%VERSION%
-pkgrel=%RELEASE%
-pkgdesc=%DESCRIPTION%
-url=%HOMEPAGE%
-arch=(%ARCHITECTURE%)
-license=(%LICENSE_SHORT%)
-depends=(%DEPENDS%)
-optdepends=(%OPTDEPENDS%)
-makedepends=(%MAKEDEPENDS%)
-provides=(%PROVIDES%)
-# conflicts=()
-# replaces=()
-# backup=()
-%INSTALL%
-source=(%SOURCES%
-)
-md5sums=(%SOURCE_SUMS%
-)
-
-build() {
-  cd ${srcdir}
-  make build
-}
-
-package() {
-  DESTDIR=${pkgdir} make install
-}
-
-# vim:expandtab:ts=2:sw=2:
Index: in/trunk/package-kits/linux/managers/rpm/%NAME%.spec
===================================================================
--- /main/trunk/package-kits/linux/managers/rpm/%NAME%.spec	(revision 29594)
+++ 	(revision )
@@ -1,33 +1,0 @@
-Name:       %NAME%
-Version:    %VERSION%
-Release:    %RELEASE%
-Summary:    %DESCRIPTION_SHORT%
-License:    %LICENSE_SHORT%
-URL:        %HOMEPAGE%
-Source0:    %NAME%
-
-AutoReqProv: no
-BuildRequires:  %MAKEDEPENDS%
-Requires:   %DEPENDS%
-
-%prep
-cp -pr %SOURCE0 .
-
-%description
-%DESCRIPTION%
-
-%build
-cd %NAME%
-make %{?_smp_mflags}
-
-%install
-cd %NAME%
-%make_install
-
-%INSTALL%
-%files
-%doc
-%FILES%
-
-%changelog
-
Index: /main/trunk/package-kits/linux/packages/greenstone
===================================================================
--- /main/trunk/package-kits/linux/packages/greenstone	(revision 29595)
+++ /main/trunk/package-kits/linux/packages/greenstone	(revision 29595)
@@ -0,0 +1,106 @@
+SVN_LOCATION:           http://svn.greenstone.org/main/trunk/greenstone3
+NAME:                   greenstone
+VERSION:                3.06
+RELEASE:                1
+HOMEPAGE:               http://greenstone.org
+LICENSE_SHORT:          GPL-2
+LICENSE:                
+SOURCES:
+    build.properties
+    greenstone3.xml
+    greenstone
+    wvWare
+    gs2build.patch
+    servlets.patch
+    gsdl3site.cfg.patch
+    global.properties.patch
+
+MAKEFILE:
+    base
+    src
+    clean
+    build-core
+    main
+    native
+    tools
+
+MAKEDEPENDS:
+    %PKG_JAVA_JDK%
+    %PKG_SVN%
+    %PKG_ANT%
+    %PKG_PATCH%
+    %PKG_AUTOCONF%
+    %PKG_GCC%
+    %PKG_MAKE%
+    %PKG_RSYNC%
+
+SUB_PACKAGES:
+    NATIVE
+    TOOLS
+    MAIN
+
+NATIVE_NAME:                    %PKG_GREENSTONE_NATIVE%
+NATIVE_DESCRIPTION_SHORT:       'Native libraries for Greenstone'
+NATIVE_DESCRIPTION:             'Architecture-dependent binary files required by the core Greenstone package'
+NATIVE_ARCHITECTURE:            %ARCH%
+
+NATIVE_DEPENDS:
+
+NATIVE_OPTDEPENDS:
+
+NATIVE_PROVIDES:
+
+NATIVE_FILES:                  
+    %TOMCATLIB%/*
+    %{_libdir}/*
+
+
+TOOLS_NAME:                     %PKG_GREENSTONE_TOOLS%
+TOOLS_DESCRIPTION_SHORT:        'Tools for building Greenstone collections'
+TOOLS_DESCRIPTION:              %TOOLS_DESCRIPTION_SHORT%
+TOOLS_ARCHITECTURE:             %ARCH%
+
+TOOLS_DEPENDS:
+    %PKG_WVWARE%
+    %PKG_PERL%
+    %PKG_IMAGEMAGICK%
+    %PKG_WGET%
+
+TOOLS_OPTDEPENDS:
+    %PKG_GLI%
+            
+TOOLS_PROVIDES:
+
+TOOLS_FILES:
+        %GREENSTONE_HOME%/*
+        %{_bindir}/*
+
+
+MAIN_NAME:                      %PKG_GREENSTONE%
+MAIN_DESCRIPTION_SHORT:         'Greenstone Digital Library'
+MAIN_DESCRIPTION:               'Greenstone is a suite of software for building and distributing digital library collections'
+MAIN_ARCHITECTURE:              any
+
+MAIN_DEPENDS:
+    %PKG_GREENSTONE_NATIVE%
+    %PKG_GREENSTONE_TOOLS%
+    %PKG_JAVA_JRE%
+    %PKG_TOMCAT%
+    %PKG_WGET%
+
+MAIN_OPTDEPENDS:
+    %PKG_GREENSTONE_DEMO%
+
+MAIN_PROVIDES:
+
+MAIN_FILES:
+    %WEB%
+    %TOMCATCONF%/*
+    %TOMCATLIB%/*
+    %{_libdir}/*
+
+MAIN_POST_INSTALL:
+    chown -R %TOMCAT_USER%:%TOMCAT_USER% %WEB%
+
+MAIN_POST_REMOVE:
+    echo "To fully remove greenstone, delete /usr/share/greenstone/web"
Index: in/trunk/package-kits/linux/packages/main
===================================================================
--- /main/trunk/package-kits/linux/packages/main	(revision 29594)
+++ 	(revision )
@@ -1,59 +1,0 @@
-SVN_LOCATION:           http://svn.greenstone.org/main/trunk/greenstone3
-NAME:                   %PKG_GREENSTONE%
-VERSION:                3.06
-RELEASE:                1
-DESCRIPTION_SHORT:      'Greenstone Digital Library'
-DESCRIPTION:            'Greenstone is a suite of software for building and distributing digital library collections'
-HOMEPAGE:               http://greenstone.org
-ARCHITECTURE:           any
-LICENSE_SHORT:          GPL-2
-LICENSE:                
-
-DEPENDS:
-    %PKG_GREENSTONE_NATIVE%
-    %PKG_GREENSTONE_TOOLS%
-    %PKG_JAVA_JRE%
-    %PKG_TOMCAT%
-    %PKG_WGET%
-
-OPTDEPENDS:
-    %PKG_GREENSTONE_DEMO%
-
-MAKEDEPENDS:
-    %PKG_JAVA_JDK%
-    %PKG_SVN%
-    %PKG_ANT%
-    %PKG_PATCH%
-    %PKG_AUTOCONF%
-    %PKG_GCC%
-    %PKG_MAKE%
-    %PKG_RSYNC%
-
-PROVIDES:
-
-FILES:
-    %WEB%
-    %TOMCATCONF%/*
-    %TOMCATLIB%/*
-    %{_libdir}/*
-
-SOURCES:
-    build.properties
-    greenstone3.xml
-    gs2build.patch
-    servlets.patch
-    gsdl3site.cfg.patch
-    global.properties.patch
-
-MAKEFILE:
-    base
-    src
-    clean
-    build-core
-    main
-
-POST_INSTALL:
-    chown -R %TOMCAT_USER%:%TOMCAT_USER% %WEB%
-
-POST_REMOVE:
-    echo "To fully remove greenstone, delete /usr/share/greenstone/web"
Index: in/trunk/package-kits/linux/packages/native
===================================================================
--- /main/trunk/package-kits/linux/packages/native	(revision 29594)
+++ 	(revision )
@@ -1,45 +1,0 @@
-SVN_LOCATION:           http://svn.greenstone.org/main/trunk/greenstone3
-NAME:                   %PKG_GREENSTONE_NATIVE%
-VERSION:                3.06
-RELEASE:                1
-DESCRIPTION_SHORT:      'Native libraries for Greenstone'
-DESCRIPTION:            'Architecture-dependent binary files required by the core Greenstone package'
-HOMEPAGE:               http://greenstone.org
-ARCHITECTURE:           %ARCH%
-LICENSE_SHORT:          GPL-2
-LICENSE:                
-
-DEPENDS:
-
-OPTDEPENDS:
-
-MAKEDEPENDS:
-    %PKG_JAVA_JDK%
-    %PKG_SVN%
-    %PKG_ANT%
-    %PKG_PATCH%
-    %PKG_AUTOCONF%
-    %PKG_GCC%
-    %PKG_MAKE%
-    %PKG_RSYNC%
-
-PROVIDES:
-
-FILES:
-    %TOMCATLIB%/*
-    %{_libdir}/*
-
-SOURCES:
-    build.properties
-    greenstone3.xml
-    gs2build.patch
-    servlets.patch
-    gsdl3site.cfg.patch
-    global.properties.patch
-
-MAKEFILE:
-    base
-    src
-    clean
-    build-core
-    native
Index: in/trunk/package-kits/linux/packages/tools
===================================================================
--- /main/trunk/package-kits/linux/packages/tools	(revision 29594)
+++ 	(revision )
@@ -1,50 +1,0 @@
-SVN_LOCATION:           http://svn.greenstone.org/main/trunk/greenstone3
-NAME:                   %PKG_GREENSTONE_TOOLS%
-VERSION:                3.06
-RELEASE:                1
-DESCRIPTION_SHORT:      'Tools for building Greenstone collections'
-DESCRIPTION:            
-HOMEPAGE:               http://greenstone.org
-ARCHITECTURE:           %ARCH%
-LICENSE_SHORT:          GPL-2
-LICENSE:                
-
-DEPENDS:
-    %PKG_WVWARE%
-    %PKG_PERL%
-    %PKG_IMAGEMAGICK%
-    %PKG_WGET%
-
-OPTDEPENDS:
-    %PKG_GLI%
-
-MAKEDEPENDS:
-    %PKG_JAVA_JDK%
-    %PKG_SVN%
-    %PKG_ANT%
-    %PKG_PATCH%
-    %PKG_AUTOCONF%
-    %PKG_GCC%
-    %PKG_MAKE%
-    %PKG_RSYNC%
-
-PROVIDES:
-
-FILES:
-    %GREENSTONE_HOME%/*
-    %{_bindir}/*
-
-SOURCES:
-    build.properties
-    greenstone
-    greenstone3.xml
-    gs2build.patch
-    perl-util.patch
-    wvWare
-
-MAKEFILE:
-    base
-    src
-    clean
-    build-core
-    tools
Index: /main/trunk/package-kits/linux/perllib/Greenstone/Package.pm
===================================================================
--- /main/trunk/package-kits/linux/perllib/Greenstone/Package.pm	(revision 29594)
+++ /main/trunk/package-kits/linux/perllib/Greenstone/Package.pm	(revision 29595)
@@ -8,4 +8,5 @@
 use File::Copy 'cp';
 use POSIX 'uname';
+use Storable 'dclone';
 use Greenstone::Helpers;
 use base 'Exporter';
@@ -127,5 +128,25 @@
 sub add_package {
     my $self = shift;
+    
+    # Add the (relatively) static files
     $self->add ("managers/$self->{config}->{MANAGER}", $self->{output});
+
+    if (exists $self->{config}->{SUB_PACKAGES}) {
+        my $packages = [];
+        for my $subpackage (sort @{$self->{config}->{SUB_PACKAGES}}) {
+            my $config = {};
+            for my $key (keys %{$self->{config}}) {
+                if ($key =~ /^${subpackage}_(.*)$/) {
+                    # print "setting '$1' to '$key' = '$self->{config}->{$key}'\n";
+                    $config->{$1} = $self->{config}->{$key};
+                }
+            }
+            # hashdump $self->{config};
+            push @{$packages}, $config;
+        }
+        $self->add_package_impl ($packages);
+    } else {
+        $self->add_package_impl;
+    }
 }
 
Index: /main/trunk/package-kits/linux/perllib/Greenstone/Package/_apt.pm
===================================================================
--- /main/trunk/package-kits/linux/perllib/Greenstone/Package/_apt.pm	(revision 29594)
+++ /main/trunk/package-kits/linux/perllib/Greenstone/Package/_apt.pm	(revision 29595)
@@ -35,3 +35,51 @@
 }
 
+sub add_package_section {
+    my ($self, $out) = @_;
+    for my $line (
+        'Package: %NAME%',
+        'Architecture: %ARCHITECTURE%',
+        'Homepage: %HOMEPAGE%',
+        'Depends:',
+        '%DEPENDS',
+        'Description: %DESCRIPTION_SHORT',
+        '  %DESCRIPTION'
+    ) {
+        my $copy = $line;
+        $self->subst ($copy);
+        print $out $copy, "\n";
+    }
+}
+
+sub add_package_impl {
+    my ($self, $packages) = @_;
+    $self->add_install;
+    open my $CONTROL, '>', "/tmp/gspkg.control";
+    for my $line (
+        'Source: %NAME%',
+        'Section: java',
+        'Priority: optional',
+        'Maintainer: %MAINTAINER_NAME% <%MAINTAINER_EMAIL%>',
+        'BuildDepends:',
+        '%MAKEDEPENDS%',
+    ) {
+        my $copy = $line;
+        $self->subst ($copy);
+        print $CONTROL $copy, "\n";
+    }
+    if (defined $packages) {
+        my $config = $self->{config};
+        for my $package (@{$packages}) {
+            $package->{HOMEPAGE} = $config->{HOMEPAGE};
+            $self->{config} = $package;
+            $self->add_package_section ($CONTROL);
+        }
+        $self->{config} = $config;
+    } else {
+        $self->add_package_section ($CONTROL);
+    }
+    close $CONTROL;
+    $self->add ("/tmp/gspkg.control", "$self->{output}/debian/control");
+}
+
 1;
Index: /main/trunk/package-kits/linux/perllib/Greenstone/Package/_pacman.pm
===================================================================
--- /main/trunk/package-kits/linux/perllib/Greenstone/Package/_pacman.pm	(revision 29594)
+++ /main/trunk/package-kits/linux/perllib/Greenstone/Package/_pacman.pm	(revision 29595)
@@ -39,7 +39,8 @@
 
 sub write_function {
-    my ($name, $out, @lines) = @_;
+    my ($self, $name, $out, @lines) = @_;
     print $out $name, "() {\n";
     for my $line (@lines) {
+        $self->subst ($line);
         print $out "\t", $line, "\n";
     }
@@ -54,24 +55,88 @@
         exists $self->{config}->{POST_REMOVE}) {
         my $name = "$self->{config}->{NAME}.install";
-        open my $INSTALL, '>', "/tmp/$name";
+        open my $INSTALL, '>', "/tmp/gspkg.$name";
         exists $self->{config}->{PRE_INSTALL} and do {
-            write_function "pre_install", $INSTALL, @{$self->{config}->{PRE_INSTALL}};
-            write_function "pre_upgrade", $INSTALL, @{$self->{config}->{PRE_INSTALL}};
+            $self->write_function ("pre_install", $INSTALL, @{$self->{config}->{PRE_INSTALL}});
+            $self->write_function ("pre_upgrade", $INSTALL, @{$self->{config}->{PRE_INSTALL}});
         };
         exists $self->{config}->{POST_INSTALL} and do {
-            write_function "post_install", $INSTALL, @{$self->{config}->{POST_INSTALL}};
-            write_function "post_upgrade", $INSTALL, @{$self->{config}->{POST_INSTALL}};
+            $self->write_function ("post_install", $INSTALL, @{$self->{config}->{POST_INSTALL}});
+            $self->write_function ("post_upgrade", $INSTALL, @{$self->{config}->{POST_INSTALL}});
         };
         exists $self->{config}->{PRE_REMOVE} and
-            write_function "pre_remove", $INSTALL, @{$self->{config}->{PRE_REMOVE}};
+            $self->write_function ("pre_remove", $INSTALL, @{$self->{config}->{PRE_REMOVE}});
         exists $self->{config}->{POST_REMOVE} and
-            write_function "post_remove", $INSTALL, @{$self->{config}->{POST_REMOVE}};
+            $self->write_function ("post_remove", $INSTALL, @{$self->{config}->{POST_REMOVE}});
         close $INSTALL;
-        $self->add ("/tmp/$name", "$self->{output}/$name");
-        $self->{config}->{INSTALL} = "install=$name";
+        $self->add ("/tmp/gspkg.$name", "$self->{output}/$name");
+        return "install=$name";
     } else {
-        $self->{config}->{INSTALL} = "";
+        return "";
     }
 }
 
+sub add_package_impl {
+    my ($self, $packages) = @_;
+    if (defined $packages) {
+        $self->{config}->{NAME} = '';
+        for my $package (@{$packages}) {
+            $self->{config}->{NAME} .= " $package->{NAME}";
+        }
+    }
+    open my $PKGBUILD, '>', "/tmp/gspkg.PKGBUILD";
+    for my $line (
+        '# Maintainer: %MAINTAINER_NAME% <%MAINTAINER_EMAIL%>',
+        'pkgname=(%NAME%)',
+        'pkgver=%VERSION%',
+        'pkgrel=%RELEASE%',
+        'url=%HOMEPAGE%',
+        'license=%LICENSE_SHORT%',
+        'arch=(any)',
+        'makedepends=(',
+        '%MAKEDEPENDS%',
+        ')',
+        'source=(',
+        '%SOURCES%',
+        ')',
+        'md5sums=(',
+        '%SOURCE_SUMS%',
+        ')',
+        'build() {',
+        '  cd ${srcdir}',
+        '  make build',
+        '}'
+    ) {
+        my $copy = $line;
+        $self->subst ($copy);
+        print $PKGBUILD $copy, "\n";
+    }
+    if (defined $packages) {
+        my $config = $self->{config};
+        for my $package (@{$packages}) {
+            $self->{config} = $package;
+            $self->write_function ("package_$package->{NAME}", $PKGBUILD,
+                'pkgdesc=%DESCRIPTION%',
+                'arch=(\'%ARCHITECTURE%\')',
+                'depends=(',
+                '%DEPENDS%',
+                ')',
+                'optdepends=(',
+                '%OPTDEPENDS%',
+                ')',
+                'provides=(',
+                '%PROVIDES%',
+                ')',
+                $self->add_install,
+                'DESTDIR=${pkgdir} make install_%NAME%',
+            );
+        }
+        $self->{config} = $config;
+    } else {
+        print $PKGBUILD $self->add_install, "\n";
+        $self->write_function ('package', $PKGBUILD, 'DESTDIR=${pkgdir} make install');
+    }
+    close $PKGBUILD;
+    $self->add ("/tmp/gspkg.PKGBUILD", "$self->{output}/PKGBUILD");
+}
+
 1;
Index: /main/trunk/package-kits/linux/perllib/Greenstone/Package/_rpm.pm
===================================================================
--- /main/trunk/package-kits/linux/perllib/Greenstone/Package/_rpm.pm	(revision 29594)
+++ /main/trunk/package-kits/linux/perllib/Greenstone/Package/_rpm.pm	(revision 29595)
@@ -33,13 +33,84 @@
 sub add_install {
     my $self = shift;
-    $self->{config}->{INSTALL} = "";
+    my $ret = '';
     exists $self->{config}->{PRE_INSTALL} and
-        $self->{config}->{INSTALL} .= write_function "pre", @{$self->{config}->{PRE_INSTALL}};
+        $ret .= write_function "pre", @{$self->{config}->{PRE_INSTALL}};
     exists $self->{config}->{POST_INSTALL} and
-        $self->{config}->{INSTALL} .= write_function "post", @{$self->{config}->{POST_INSTALL}};
+        $ret .= write_function "post", @{$self->{config}->{POST_INSTALL}};
     exists $self->{config}->{PRE_REMOVE} and
-        $self->{config}->{INSTALL} .= write_function "preun", @{$self->{config}->{PRE_INSTALL}};
+        $ret .= write_function "preun", @{$self->{config}->{PRE_INSTALL}};
     exists $self->{config}->{POST_REMOVE} and
-        $self->{config}->{INSTALL} .= write_function "postun", @{$self->{config}->{POST_INSTALL}};
+        $ret .= write_function "postun", @{$self->{config}->{POST_INSTALL}};
+    return $ret;
+}
+
+sub add_package_impl {
+    my ($self, $packages) = @_;
+    open my $SPEC, '>', '/tmp/gspkg.spec';
+    for my $line (
+        'Name:          %NAME%',
+        'Version:       %VERSION%',
+        'Release:       %RELEASE%',
+        'License:       %LICENSE_SHORT%',
+        'URL:           %HOMEPAGE%',
+        'Source0:       %NAME%',
+        'AutoReqProv:   no',
+        'BuildRequires: %MAKEDEPENDS%',
+        '',
+        '%prep',
+        'cp -pr %SOURCE0 .',
+        '',
+        '%build',
+        'cd %NAME%',
+        'make %{?_smp_mflags}',
+        '',
+        '%install',
+        'cd %NAME%',
+        '%make_install',
+        '',
+        '%changelog',
+        ''
+    ) {
+        my $copy = $line;
+        $self->subst ($copy);
+        print $SPEC $copy, "\n";
+    }
+    if (defined $packages) {
+        my $config = $self->{config};
+        for my $package (@{$packages}) {
+            $self->{config} = $package;
+            for my $line (
+                '%package %NAME%',
+                '%requires',
+                '%DEPENDS%',
+                '%description',
+                '%DESCRIPTION%',
+                $self->add_install,
+                '%files',
+                '%FILES%'
+            ) {
+                my $copy = $line;
+                $self->subst ($copy);
+                print $SPEC $copy, "\n";
+            }
+        }
+        $self->{config} = $config;
+    } else {
+        for my $line (
+            '%requires',
+            '%DEPENDS%',
+            '%description',
+            '%DESCRIPTION%',
+            $self->add_install,
+            '%files',
+            '%FILES%'
+        ) {
+            my $copy = $line;
+            $self->subst ($copy);
+            print $SPEC $copy, "\n";
+        }
+    }
+    close $SPEC;
+    $self->add ("/tmp/gspkg.spec", "$self->{output}/$self->{config}->{NAME}.spec");
 }
 
Index: /main/trunk/package-kits/linux/segments/base
===================================================================
--- /main/trunk/package-kits/linux/segments/base	(revision 29594)
+++ /main/trunk/package-kits/linux/segments/base	(revision 29595)
@@ -12,3 +12,3 @@
 all: build
 
-.PHONY: all svn clean cleanall install
+.PHONY: all svn clean cleanall install install_greenstone install_greenstone-native install_greenstone-tools
Index: /main/trunk/package-kits/linux/segments/main
===================================================================
--- /main/trunk/package-kits/linux/segments/main	(revision 29594)
+++ /main/trunk/package-kits/linux/segments/main	(revision 29595)
@@ -1,3 +1,3 @@
-install:
+install_greenstone:
 	install -d $(DESTDIR)/$(web)
 	install -dm775 $(DESTDIR)/$(tomcatlib)
Index: /main/trunk/package-kits/linux/segments/native
===================================================================
--- /main/trunk/package-kits/linux/segments/native	(revision 29594)
+++ /main/trunk/package-kits/linux/segments/native	(revision 29595)
@@ -1,3 +1,3 @@
-install:
+install_greenstone-native:
 	install -d $(DESTDIR)/$(systemlib)
 	install -Dm755 src/lib/jni/*.so $(DESTDIR)/$(systemlib)
Index: /main/trunk/package-kits/linux/segments/tools
===================================================================
--- /main/trunk/package-kits/linux/segments/tools	(revision 29594)
+++ /main/trunk/package-kits/linux/segments/tools	(revision 29595)
@@ -1,3 +1,3 @@
-install:
+install_greenstone-tools:
 	install -d $(DESTDIR)/$(gstools)
 	rsync -a --info=STATS --exclude build-src --exclude common-src --exclude collect/demo --exclude .svn src/gs2build $(DESTDIR)/$(gstools)/